#ifndef GUARD_show_and_mode_h
#define GUARD_show_and_mode_h

#include <vector>
/* This is basic display routine for vectors.
 */
void show_vec(const std::vector<int>& vec);

/* This function returns a mode of 'vec': a value occurring at least as many
 * times as any other. It makes a copy of 'vec' to keep 'sort' from changing
 * 'vec'.
 */
int mode_elt(std::vector<int> vec);

#endif
